# create-nemean

Creates a Nemean application using the command line.

[![NPM version](https://img.shields.io/npm/v/create-umi.svg?style=flat)](https://www.npmjs.com/package/create-nemean) [![NPM downloads](http://img.shields.io/npm/dm/create-umi.svg?style=flat)](https://www.npmjs.com/package/create-nemean)

## Usage

```bash
$ yarn create nemean [appName]
```

## Boilerplates

- `nemean-pro` - Create project with a layout-only nemean-pro boilerplate, use together with umi block.
- `nemean-simple` - Create project with a simple boilerplate, support typescript.

## Usage Example

```bash
$ yarn create nemean

? Select the boilerplate type (Use arrow keys)
  nemean-pro  - Create project with a layout-only nemean-pro boilerplate, use together with umi block.
❯ nemean-simple             - Create project with a simple boilerplate, support typescript.

? Do you want to use typescript? (y/N)

? Which language do you want to use? JavaScript
> git clone http://platform.kuopu.net:9999/gitlab/nemean-group/nemean-simple.git --depth=1 nemean-simple-demo
> [Sylvanas] Prepare js environment...
> [JS] Clean up...
📋 Copied to clipboard, just use Ctrl+V
✨ File Generate Done

```

## FAQ

### `yarn create nemean` command failed

这个问题基本上都是因为没有添加 yarn global module 的路径到 PATH 环境变量引起的。

先执行 `yarn global bin` 拿到路径，然后添加到 PATH 环境变量里。

```bash
$ yarn global bin
/usr/local/bin
```

你也可以尝试用 npm，

```bash
$ npm create nemean appName
```

或者手动安装 create-nemean，并执行他，

```bash
$ npm install create-nemean -g
$ create-nemean
```

## Questions & Suggestions

Please open an issue [here](http://platform.kuopu.net:9999/gitlab/nemean-group/nemean-pro/issues).

## LICENSE

MIT
